import type { RichTextViewer } from '..';
/**
 * Page object for the `nimble-rich-text-viewer` component.
 */
export declare class RichTextViewerPageObject {
    private readonly richTextViewerElement;
    constructor(richTextViewerElement: RichTextViewer);
    getRenderedMarkdownLastChildContents(): string;
    getRenderedMarkdownLastChildAttribute(attribute: string): string;
    /**
     * Retrieves tag names for the rendered markdown content in document order
     * @returns An array of tag names in document order
     */
    getRenderedMarkdownTagNames(): string[];
    /**
     * @returns An array of tag names with the closing tags (eg: '/P') in a document order
     */
    getRenderedMarkdownTagNamesWithClosingTags(): string[];
    /**
     * Retrieves text contents for the rendered markdown content in document order
     * @returns An array of text contents of last elements in a tree
     */
    getRenderedMarkdownLeafContents(): string[];
    getRenderedMarkdownAttributeValues(attribute: string): string[];
    private getMarkdownRenderedElement;
    private getLastChildMarkdownRenderedElement;
}
